#### PyKDE - Python Bindings for KDE

# class SuProcess |
Table of contents
Modules
kdesu Classes
All Classes

Module | kdesu
Class | SuProcess
Inherits | StubProcess

### enums

- Errors = {SuNotFound = 1, SuNotAllowed, SuIncorrectPassword }
- checkMode = {NoCheck = 0, Install = 1, NeedPassword = 2 }

### methods

- SuProcess (user = 0, command = 0)

  returns a SuProcess instance
  In versions KDE 3.0.1 and above only
  Argument | Type | Default
  --- | --- | ---
  user | QCString | 0
  command | QCString | 0

- checkInstall (password)

  returns (int)
  In versions KDE 3.0.1 and above only
  Argument | Type | Default
  --- | --- | ---
  password | char |

- checkNeedPassword ()

  returns (int)
  In versions KDE 3.0.1 and above only

- exec_ (password, check = 0)

  returns (int)
  Renamed: was ' exec' in C++
  In versions KDE 3.0.1 and above only
  Argument | Type | Default
  --- | --- | ---
  password | char |
  check | int | 0